open-invaders_0.3-4.3_i386.deb


Advertisement

Description

open-invaders - Space Invaders clone

Property Value
Distribution Ubuntu 17.10 (Artful Aardvark)
Repository Ubuntu Universe i386
Package name open-invaders
Package version 0.3
Package release 4.3
Package architecture i386
Package type deb
Installed size 150 B
Download size 51.70 KB
Official Mirror archive.ubuntu.com
Space Invaders is one of the earliest arcade shoot 'em up games. The player
can move horizontally across the bottom of the screen and must shoot at an
incoming wave of aliens before they reach the bottom.
Open Invaders is a clone of the legendary 70's classic, but with
completely new graphics, several bonus levels, etc.

Alternatives

Package Version Architecture Repository
open-invaders_0.3-4.3_amd64.deb 0.3 amd64 Ubuntu Universe
open-invaders - - -

Requires

Name Value
libaldmb1 -
liballegro4.4 -
libc6 >= 2.4
libdumb1 -
libgcc1 >= 1:3.0
libstdc++6 >= 5.2
open-invaders-data = 0.3-4.3

Download

Type URL
Binary Package open-invaders_0.3-4.3_i386.deb
Source Package open-invaders

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install open-invaders deb package:
    # sudo apt-get install open-invaders

Files

Path
/usr/games/open-invaders
/usr/share/applications/open-invaders.desktop
/usr/share/doc/open-invaders/changelog.Debian.gz
/usr/share/doc/open-invaders/copyright
/usr/share/man/man6/open-invaders.6.gz
/usr/share/menu/open-invaders

Changelog

2016-09-28 - Markus Koschany <apo@debian.org>
open-invaders (0.3-4.3) unstable; urgency=medium
* Non-maintainer upload.
* Install man page with open-invaders.manpages instead of
using dh_installman in dh_auto_install override to avoid duplicate
installation into open-invaders-data. (Closes: #839047)
2016-09-27 - Markus Koschany <apo@debian.org>
open-invaders (0.3-4.2) unstable; urgency=medium
* Non-maintainer upload.
* Add gcc6.patch and fix FTBFS with GCC-6. (Closes: #811654)
* Switch to compat level 10. (Closes: #727477)
* Update Homepage field and point to tracker.debian.org because the old
homepage is blacklisted in Firefox.
2014-10-16 - YunQiang Su <syq@debian.org>
open-invaders (0.3-4.1) unstable; urgency=low
* Non-maintainer upload.
* fix_pmask: add mips64el, arm64, ppc64el, x32 support (Closes: 754361)
2012-09-10 - Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>
open-invaders (0.3-4) unstable; urgency=medium
* Acknowledge NMUs. Thanks Alexander and Tobias!
* Move the ALLEGRO_LINUX -> ALLEGRO_UNIX substitution to
debian/rules for easier maintenance.
* Switch package to dh7 and bump Standards-Version to 3.9.3.
2012-06-03 - Tobias Hansen <tobias.han@gmx.de>
open-invaders (0.3-3.2) unstable; urgency=high
* Non-maintainer upload.
* debian/patches/do-not-use-ALLEGRO_LINUX-macro.patch:
- Replace ALLEGRO_LINUX macro with ALLEGRO_UNIX to allow building
with an Allegro version without Linux console mode (allegro4.4).
Closes: #668815
* Replace Build-Depends: liballegro4.2-dev by liballegro4-dev in
preparation for a renaming of the dev package in the future.
2011-12-04 - Alexander Reichle-Schmehl <tolimar@debian.org>
open-invaders (0.3-3.1) unstable; urgency=medium
* Non-maintainer upload.
* Fix "FTBFS: ending.cc:218:128: error: format not a string literal
and no format arguments [-Werror=format-security]" by adding the patch
from Ilya Barygin (Closes: #643450).
* Urgency set to medium.
2011-09-03 - Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>
open-invaders (0.3-3) unstable; urgency=low
* debian/patches/fix_pmask_amd64.patch:
- Add support for s390x and sparc64 architectures (Closes: #638376).
Thanks to Aurelien Jarno.
* Change to source format 3.0 (quilt).
2010-12-04 - Siegfried-Angel Gevatter Pujals <rainct@ubuntu.com>
open-invaders (0.3-2) unstable; urgency=low
* debian/control:
- Raise the minimum liballegro4.2 version in the build dependencies
to 2:4.2.2-2 (Closes: #499627). Thanks to Lucio Crusca.
- Improve package description (Closes: #602567). Thanks to Enrico Zini.
- Bump Standards Version to 3.9.1.
* debian/open-invaders.6:
- Update "Bugs" section to mention Debian BTS instead of the now closed
upstream message board.
* debian/copyright:
- Update copyright years.
* debian/patches/fix_ftbfs_gcc45.patch:
- Add missing include to fix build failure with GCC 4.5 (Closes: #590095).
Thanks to Bhavani Shankar <bhavi@ubuntu.com> (LP: #609505).
2007-09-06 - Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>
open-invaders (0.3-1) unstable; urgency=low
* New upstream version.
* Quite some packaging changes:
- Change my email address.
- Split package into two binaries (ie, add -data package).
- Switch to CDBS.
- Bump standards version to 3.7.3 and move Homepage field to
source stanza.
- Install binary in /usr/games instead of /usr/bin.
- Drop debian/README.Debian and debian/dirs.
- Drop open-invaders.sgml; add a manpage written in groff.
- Little changes in debian/copyright; changes in debian/rules.
- Add debian/watch file.
* patches/fix-doc-in-makefile.dpatch:
- Drop it; no longer needed now.
* patches/fix_pmask_amd64.patch:
- Add this patch (from Kurt Roeckx) to avoid a build failure with
amd64 (Closes: #437690).

See Also

Package Description
open-isns-discoveryd_0.97-2_i386.deb Internet Storage Name Service - iSNS discovery daemon
open-isns-server_0.97-2_i386.deb Internet Storage Name Service - iSNS server
open-isns-utils_0.97-2_i386.deb Internet Storage Name Service - client utilities
open-jtalk-mecab-naist-jdic_1.10-1_all.deb NAIST Japanese Dictionary for Open JTalk
open-jtalk_1.10-1_i386.deb Japanese text-to-speech system
open-vm-tools-desktop_10.1.10-3_i386.deb Open VMware Tools for virtual machines hosted on VMware (GUI)
open-vm-tools-dkms_10.1.10-3_all.deb Open VMware Tools vmxnet kernel module (deprecated)
openacs_5.9.0+dfsg-1_all.deb toolkit for building community-oriented web applications
openafs-client_1.6.21-3_i386.deb AFS distributed filesystem client support
openafs-dbserver_1.6.21-3_i386.deb AFS distributed filesystem database server
openafs-doc_1.6.21-3_all.deb AFS distributed filesystem documentation
openafs-fileserver_1.6.21-3_i386.deb AFS distributed filesystem file server
openafs-fuse_1.6.21-3_i386.deb AFS distributed file system experimental FUSE client
openafs-kpasswd_1.6.21-3_i386.deb AFS distributed filesystem old password changing
openafs-krb5_1.6.21-3_i386.deb AFS distributed filesystem Kerberos 5 integration
Advertisement
Advertisement